Standards Based Linux Instrumentation for Manageability sblim-sfcb 'genSslCert.sh'不安全临时文件创建漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1183848 漏洞类型 后置链接
发布时间 2009-02-03 更新时间 2009-02-18
CVE编号 CVE-2009-0416 CNNVD-ID CNNVD-200902-063
漏洞平台 N/A CVSS评分 6.9
|漏洞来源
https://www.securityfocus.com/bid/33583
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200902-063
|漏洞详情
Manageability(SBLIM)sblim-sfcb1.3.2版本的StandardsBasedLinuxInstrumentation中的SSL凭证安装程序(genSslCert.sh)允许本地用户借助一个对(1)/var/tmp/key.pem,(2)/var/tmp/cert.pem和(3)/var/tmp/ssl.cnf临时文件的symlink攻击,重写任意文件。
|受影响的产品
sblim sblim-sfcb 1.3.2 S.u.S.E. openSUSE 11.1 S.u.S.E. openSUSE 11.0
|参考资料

来源:BID
名称:33583
链接:http://www.securityfocus.com/bid/33583
来源:MISC
链接:http://sourceforge.net/tracker/index.php?func=detail&aid=2561165&group_id=128809&atid=712784
来源:MLIST
名称:[oss-security]20090203CVERequest:sblim-sfcbgenSslCert.shtemprace
链接:http://sourceforge.net/forum/forum.php?forum_id=874261
来源:SECUNIA
名称:33795
链接:http://secunia.com/advisories/33795
来源:OSVDB
名称:51783
链接:http://osvdb.org/51783
来源:SUSE
名称:SUSE-SR:2009:004
链接:http://lists.opensuse.org/opensuse-security-announce/2009-02/msg00002.html